import { getData } from '../../utils/DataTemplate';
export default {

  namespace: 'search',

  state: {
    todayQianYue:null,
    todayCheXiao:null,
    suoDingTongJi:null,
    jinDuTongJi:null,
    chengBenTongJi:null,
    shiYongFangYuanTongJi:null,
    jiDiFangYuanTongJi:null,
    xiaoQuTongJi:null,
    xiangMuLieBiao:null,
  },

  subscriptions: {
    setup({ dispatch, history }) {  // eslint-disable-line
    },
  },

  effects: {
    *getResult({ payload }, { take, put, call, select }) {
      const { pjName,datasourceName,stateName} = payload;
      const coordinate = {
        containerType : 'module' ,
        containerName : 'QueryPJModule',
        datasourceName:datasourceName,
      };
      try {
        const resultss = yield call(getData, coordinate, { pst: 0, psz: 10 ,params:{pjName:pjName}});
        console.info('查询的结果');
        console.info(resultss);
        yield put({ type: 'setResult',payload:{stateName,resultss} });
      }catch (erroer){
        console.info(erroer);
      }
    },
    *getXM({ payload }, { take, put, call }) {
      const { pjName } = payload;
      let coordinate;
      coordinate= {
        containerType: 'module',
        containerName: 'QueryPJModule',
        datasourceName: 'QueryJiDiName',
      };
      try {
        const resultss = yield call(getData, coordinate, { pst: 0, psz: 10 ,params:{pjName:pjName}});
        console.info('查询的结果');
        console.info(resultss);
        yield put({ type: 'setXM',payload:{resultss} });
      }catch (erroer){
        console.info(erroer);
      }

    },
  },

  reducers: {
    setResult(state,{payload}){
      console.info(payload.stateName);
      console.info(payload.resultss);
      return {...state,[`${payload.stateName}`]:payload.resultss};
    },
    setXM(state,{payload}){
      return {...state,xiangMuLieBiao:payload.resultss};
    }
  },

};
